## com.vividsolutions.jts.noding
Class Octant

    java.lang.Object
      com.vividsolutions.jts.noding.Octant

public class Octant
extends java.lang.Object

Methods for computing and working with octants of the Cartesian plane Octants are numbered as follows:

###

###

      \2|1/
     3 \|/ 0
     ---+--
     4 /|\ 7
      /5|6\

     If line segments lie along a coordinate axis, the octant is the lower of the two
     possible values.

    Version:
      1.7

    Method Summary

    static int
    octant(Coordinate p0,
           Coordinate p1)

              Returns the octant of a directed line segment from p0 to p1.

    static int
    octant(double dx,
           double dy)

              Returns the octant of a directed line segment (specified as x and y
     displacements, which cannot both be 0).

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Method Detail

    octant

    public static int octant(double dx,
                             double dy)

    Returns the octant of a directed line segment (specified as x and y
     displacements, which cannot both be 0).

    octant

    public static int octant(Coordinate p0,
                             Coordinate p1)

    Returns the octant of a directed line segment from p0 to p1.